org.bdgenomics.adam.models

# ReadBucket

#### case class ReadBucket(unpairedPrimaryMappedReads: Iterable[AlignmentRecord] = collection.this.Seq.empty[Nothing], pairedFirstPrimaryMappedReads: Iterable[AlignmentRecord] = collection.this.Seq.empty[Nothing], pairedSecondPrimaryMappedReads: Iterable[AlignmentRecord] = collection.this.Seq.empty[Nothing], unpairedSecondaryMappedReads: Iterable[AlignmentRecord] = collection.this.Seq.empty[Nothing], pairedFirstSecondaryMappedReads: Iterable[AlignmentRecord] = collection.this.Seq.empty[Nothing], pairedSecondSecondaryMappedReads: Iterable[AlignmentRecord] = collection.this.Seq.empty[Nothing], unmappedReads: Iterable[AlignmentRecord] = collection.this.Seq.empty[Nothing]) extends Product with Serializable

This class is similar to SingleReadBucket, except it breaks the reads down further.

Rather than stopping at primary/secondary/unmapped, this will break it down further into whether they are paired or unpaired, and then whether they are the first or second of the pair.

This is useful as this will usually map a single read in any of the sequences.

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ReadBucket
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new ReadBucket(unpairedPrimaryMappedReads: Iterable[AlignmentRecord] = collection.this.Seq.empty[Nothing], pairedFirstPrimaryMappedReads: Iterable[AlignmentRecord] = collection.this.Seq.empty[Nothing], pairedSecondPrimaryMappedReads: Iterable[AlignmentRecord] = collection.this.Seq.empty[Nothing], unpairedSecondaryMappedReads: Iterable[AlignmentRecord] = collection.this.Seq.empty[Nothing], pairedFirstSecondaryMappedReads: Iterable[AlignmentRecord] = collection.this.Seq.empty[Nothing], pairedSecondSecondaryMappedReads: Iterable[AlignmentRecord] = collection.this.Seq.empty[Nothing], unmappedReads: Iterable[AlignmentRecord] = collection.this.Seq.empty[Nothing])

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### def allReads(): Iterable[AlignmentRecord]

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

13. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### final def notify(): Unit

    Definition Classes
      AnyRef

15. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

16. #### val pairedFirstPrimaryMappedReads: Iterable[AlignmentRecord]

17. #### val pairedFirstSecondaryMappedReads: Iterable[AlignmentRecord]

18. #### val pairedSecondPrimaryMappedReads: Iterable[AlignmentRecord]

19. #### val pairedSecondSecondaryMappedReads: Iterable[AlignmentRecord]

20. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

21. #### val unmappedReads: Iterable[AlignmentRecord]

22. #### val unpairedPrimaryMappedReads: Iterable[AlignmentRecord]

23. #### val unpairedSecondaryMappedReads: Iterable[AlignmentRecord]

24. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped